<?php namespace MapGuesser\Response;

class JsonContent extends ContentBase
{
    public function __construct(array &$data = [])
    {
        $this->data = &$data;
    }

    public function &render(): string
    {
        $this->data['__debug__runtime'] = round((hrtime(true) - SCRIPT_STARTED) / 1e+6, 1);

        $content = json_encode($this->data);

        return $content;
    }

    public function getContentType(): string
    {
        return 'application/json';
    }
}
